---
title: Kompatibilita
---

# 🤝 Kompatibilita

Pravděpodobně máte na počítači spoustu, programů, které využíváte a jsou důležité pro vaši práci. Je dost možné, že některý z programů, který používáte, není dostupný na Linuxu. V takovém případě máte v podstatě 3 možnosti:
- najít k programu **alternativu**,
- zprovoznit program [pomocí **virtualizace**](#wine),
- program **přestat používat**.

V případě, že existuje nějaká alternativa k takovému programu, tak doporučuji si tento program nainstalovat na váš současný OS, zvyknout si na něj a postupně přestat využívat ten původní.

Pokud se jedná o nějaký nepříliš důležitý program, bez kterého se obejdete, bude nejsnazší jej prostě nepoužívat nebo sáhnout po virtualizaci.

### Virtualizace

Na Linuxu se vám možná čas od času stane, že se vám do rukou dostane například exe soubor a vy s ním nějak musíte pracovat. V takové situaci máte dvě možnosti rozepsané detailně níže.

#### Wine

Wine je nadstavba? Linuxu, která umožňuje spouštět aplikace určené pro Windows díky tomu, že překládá volání určena pro Windows na ta volání, kterým rozumí Linux. Díky tomu je možné celkem jednoduše provozovat především jednodušší Windowsové programy téměř nativně i na Linuxu.

Výkonově se dokonce může stát, že vám pod Wine programy poběží lépe než na Windows, setkat se s tím můžete například u některých her.

Tato metoda má však nějaké limitace. I když se tímto způsobem dají celkem bez problémů [spouštět hry](#hry), některé programy pod Wine prostě fungovat nebudou.

Mezi nekompatibilní programy patří především **MS Office** a programy od **Adobe**, které nemají Linuxovou verzi a nelze je ani spouštět pomocí Wine. Zbývá vám tedy najít vhodnou alternativu ([třeba tady](/software/apps)) nebo je spouštět ve virtuálním stroji. Pokud přesně tyto programy ke své práci nutně potřebujete a používáte je často, pak pro vás Linux v tuto chvíli není.

#### Virtuální stroj

Tato metoda zahrnuje instalaci Windowsů (či jiného OS) do virtuálního disku na vašem Linuxu. Dosáhnete tím mnohem lepší (ale ne dokonalou) kompatibilitu, nicméně se můžete potýkat s horším výkonem.

Kvůli problémům s výkonem tato metoda není úplně ideální pro spouštění her, hodit se ale může třeba pro občasnou práci s Office nebo i programy Adobe.