---
title: Programy a aplikace
description: Veškeré programy a aplikace, které používám a oblíbil jsem si je natolik, že je chci doporučit i ostatním
---

# 🖥️ Programy a aplikace

Na této stránce sepisuji veškeré programy, které používám a oblíbil jsem si je natolik, že je chci doporučit i ostatním. Věřím, že zde najdete spoustu různých kousků softwaru, které se vám budou hodit.

## 🌍 Webový prohlížeč

- **Firefox** ([web](https://firefox.com))

	- Firefox je rychlý, bezpečný a vysoce přizpůsobitelný open-source webový prohlížeč disponující vlastním vykreslovacím jádrem, mnoha užitečnými funkcemi a rozšířeními.
	- Je to můj primární prohlížeč a více jsem se o něm [rozepsal zde](/software/firefox.md).

- **Brave** ([web](https://brave.com))

	- Brave je moderní a rychlý open-source webový prohlížeč založený na Chromiu, který blokuje reklamy a trackery a má dobrou ochranou soukromí už ve výchozím nastavení.
	- Používám jej zřídka, ale je to asi nejlepší volba z Chromium-based prohlížečů.

- **Tor Browser** ([web](https://torproject.org/))

	- Tor Browser je tou nejlepší volbou, pokud chcete na internetu zůstat maximálně anonymní, který pomocí sítě Tor automaticky skryje vaší IP adresu.

## 🚀 Vývojářské nástroje

- **VSCodium** ([web](https://vscodium.com))

	- VSCodium je open-source verze editoru VS Code, která neodesílá telemetická data a zlepšuje ochranu soukromí uživatelů, jelikož odstraňuje proprietární komponenty.
	- Je to můj hlavní editor kódu, který používám pro většinu svých projektů.

## 🖌️ Grafika

- **GIMP** ([web](https://gimp.org))

	- GIMP je populární open-source grafický editor s podporou vstev a sposty dalších užitecných funkcí pro úpravu obrázků. Používám jej pro úpravu fotek i tvorbu grafiky.

- **Inkscape** ([web](https://inkscape.org))

	- Inkscape je open-source editor pro tvorbu vektorové grafiky a kreslení, který umožňuje uživatelům vytvářet profesionální návrhy a ilustrace.
	- Tvořím v něm prakticky veškerou vektorovou grafiku.

- **Blender** ([web](https://blender.org))

	- Blender je open-source editor pro 3D modelování a tvorbu 3D grafiky. Ačkoli se 3D grafice příliš nevěnuji, pořád je to program, který se mi občas hodí.

## 🎬 Video

- **VLC Media Player** ([web](https://www.videolan.org/vlc/))

	- VLC media player je open-source přehrávač s podporou širokého spektra formátů zvuku a videa, mnoha užitečnými funkcemi, včetně přehrávání streamovaných videí a titulků.

- **OBS Studio** ([web](https://obsproject.com))

	- OBS Studio je open-source software pro nahrávání a streamování obrazovky nebo videa, který nabízí mnoho užitečných funkcí a přizpůsobení.

## 📄 Kancelářský software

- **LibreOffice** ([web](https://libreoffice.org))

	- LibreOffice je sada nástrojů k otevírání a tvorbě dokumentů, sešitů a prezentací. Jedná se o dobrou open-source alternativu k MS Office.

## 📧 Emailový klient

- **Thunderbird** ([web](https://www.thunderbird.net))

	- Thunderbird je open-source emailový klient s mnoha užitečnými funkcemi a podporou více účtů, který Vám usnadní správu vašich emailů.
	- Nedávno dostal nový design a blíží se také podpora synchronizace, už aby to bylo. :D

- **K-9 Mail** ([web](https://k9mail.app/))

	- K-9 Mail je open-source emailový klient pro Android s podporou více emailových účtů, který se v budoucnu přemění na Thunderbird pro Android.

## 💡 Nástroje

- **Flameshot** ([web](https://flameshot.org))

	- Flameshot je jednoduchý open-source multiplatformní nástroj na vytváření snímků obrazovky se spoustou užitečných možností jejich úprav.